Bug 1028470 - SELinux is preventing /usr/lib64/dbus-1/dbus-daemon-launch-helper from 'execute' accesses on the file packagekitd.
SELinux is preventing /usr/lib64/dbus-1/dbus-daemon-launch-helper from 'execu...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:994185a925c83e83782fa1c0e37...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 09:19 EST by juanete
Modified: 2013-11-11 06:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-11 06:38:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description juanete 2013-11-08 09:19:25 EST
Description of problem:
SELinux is preventing /usr/lib64/dbus-1/dbus-daemon-launch-helper from execute access on the file packagekitd.[0D]

*****  Plugin catchall (100. confidence) suggests   **************************[0D]

If cree que de manera predeterminada, dbus-daemon-launch-helper debería permitir acceso execute sobre  packagekitd file.     [0D]
Then debería reportar esto como un error.[0D]
Puede generar un módulo de política local para permitir este acceso.[0D]
Do[0D]
permita el acceso momentáneamente executando:[0D]
# grep dbus-daemon-lau /var/log/audit/audit.log | audit2allow -M mypol[0D]
# semodule -i mypol.pp[0D]

Additional Information:[0D]
Source Context                system_u:system_r:system_dbusd_t:s0-s0:c0.c1023[0D]
Target Context                unconfined_u:object_r:user_home_t:s0[0D]
Target Objects                packagekitd [ file ][0D]
Source                        dbus-daemon-lau[0D]
Source Path                   /usr/lib64/dbus-1/dbus-daemon-launch-helper[0D]
Port                          <Desconocido>[0D]
Host                          localhost.localdomain[0D]
Source RPM Packages           dbus-1.6.12-1.fc20.x86_64[0D]
Target RPM Packages           [0D]
Policy RPM                    selinux-policy-3.12.1-90.fc20.noarch[0D]
Selinux Enabled               True[0D]
Policy Type                   targeted[0D]
Enforcing Mode                Enforcing[0D]
Host Name                     localhost.localdomain[0D]
Platform                      Linux localhost.localdomain 3.11.5-302.fc20.x86_64[0D]
                              #1 SMP Wed Oct 16 18:09:11 UTC 2013 x86_64 x86_64[0D]
Alert Count                   35[0D]
First Seen                    2013-11-06 22:16:16 CET[0D]
Last Seen                     2013-11-08 15:09:15 CET[0D]
Local ID                      37b5d6b8-07d4-4ef1-bdd8-f66dbf2e08d5[0D]

Raw Audit Messages[0D]
type=AVC msg=audit(1383919755.182:508): avc:  denied  { execute } for  pid=1950 comm="dbus-daemon-lau" name="packagekitd" dev="dm-0" ino=914754 scontext=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file[0D]


type=SYSCALL msg=audit(1383919755.182:508): arch=x86_64 syscall=execve success=no exit=EACCES a0=7f4a5b8e7770 a1=7f4a5b8e7690 a2=7f4a5b8e6010 a3=0 items=0 ppid=1949 pid=1950 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=dbus-daemon-lau exe=/usr/lib64/dbus-1/dbus-daemon-launch-helper subj=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 key=(null)[0D]

Hash: dbus-daemon-lau,system_dbusd_t,user_home_t,file,execute
SELinux is preventing /usr/lib64/dbus-1/dbus-daemon-launch-helper from 'execute' accesses on the file packagekitd.

*****  Plugin catchall (100. confidence) suggests   **************************

If cree que de manera predeterminada, dbus-daemon-launch-helper debería permitir acceso execute sobre  packagekitd file.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
permita el acceso momentáneamente executando:
# grep dbus-daemon-lau /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:system_dbusd_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                packagekitd [ file ]
Source                        dbus-daemon-lau
Source Path                   /usr/lib64/dbus-1/dbus-daemon-launch-helper
Port                          <Desconocido>
Host                          (removed)
Source RPM Packages           dbus-1.6.12-1.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-90.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.5-302.fc20.x86_64 #1 SMP Wed
                              Oct 16 18:09:11 UTC 2013 x86_64 x86_64
Alert Count                   35
First Seen                    2013-11-06 22:16:16 CET
Last Seen                     2013-11-08 15:09:15 CET
Local ID                      37b5d6b8-07d4-4ef1-bdd8-f66dbf2e08d5

Raw Audit Messages
type=AVC msg=audit(1383919755.182:508): avc:  denied  { execute } for  pid=1950 comm="dbus-daemon-lau" name="packagekitd" dev="dm-0" ino=914754 scontext=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file


type=SYSCALL msg=audit(1383919755.182:508): arch=x86_64 syscall=execve success=no exit=EACCES a0=7f4a5b8e7770 a1=7f4a5b8e7690 a2=7f4a5b8e6010 a3=0 items=0 ppid=1949 pid=1950 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=dbus-daemon-lau exe=/usr/lib64/dbus-1/dbus-daemon-launch-helper subj=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 key=(null)

Hash: dbus-daemon-lau,system_dbusd_t,user_home_t,file,execute

Additional info:
reporter:       libreport-2.1.8
hashmarkername: setroubleshoot
kernel:         3.11.5-302.fc20.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-11-11 06:38:08 EST
It looks you have labeling problem. Try to execute

# restorecon -R -v /usr/libexec

Note You need to log in before you can comment on or make changes to this bug.